
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #1999

Sample request letter for MZ

08/09/2016 03:21 AM - Oleksii Kurasov

Status: Closed Start date: 08/09/2016

Priority: Immediate Due date: 08/10/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Template is in Attachment

History

#1 - 08/09/2016 01:04 PM - Oleksii Kurasov

- Due date changed from 08/09/2016 to 08/10/2016

- Status changed from New to In Progress

#2 - 08/11/2016 09:20 AM - Oleksii Kurasov

- Status changed from In Progress to Closed

Files

Lab sample request letter - MOZ.docx 31.2 KB 08/09/2016 Oleksii Kurasov
